package org.usfirst.frc.team1403.robot.subsystems;

import org.usfirst.frc.team1403.robot.Robot;
import org.usfirst.frc.team1403.robot.commands.Climb;

import com.ctre.phoenix.motorcontrol.ControlMode;
import com.ctre.phoenix.motorcontrol.can.TalonSRX;

import edu.wpi.first.wpilibj.RobotState;
import edu.wpi.first.wpilibj.command.Subsystem;

/**
 *
 */
public class Climber extends Subsystem {

	public static TalonSRX climbMotor;
	public double climbReading;
	
    public Climber() {
    	
    	climbMotor = new TalonSRX(4);
    	climbReading = 0;
    	
    }
    
    public void climb() {
    	if(!RobotState.isAutonomous()) {
    		climbReading = Robot.m_oi.stick.getRawAxis(3);
    		climbMotor.set(ControlMode.PercentOutput, climbReading);
    	}
    }
    public void climb(double climbReading) {
    	climbMotor.set(ControlMode.PercentOutput, climbReading);
    }

    public void initDefaultCommand() {
        // Set the default command for a subsystem here.
        setDefaultCommand(new Climb());
    }
}

